doctest-parallel-0.4: Test interactive Haskell examples

Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.DocTest.Internal.Util

Synopsis

- convertDosLineEndings :: String -> String
- takeWhileEnd :: (a -> Bool) -> [a] -> [a]
- stripEnd :: String -> String

# Documentation

convertDosLineEndings :: String -> String Source #

takeWhileEnd :: (a -> Bool) -> [a] -> [a] Source #

Return the longest suffix of elements that satisfy a given predicate.

stripEnd :: String -> String Source #

Remove trailing white space from a string.

    >>> stripEnd "foo   "
    "foo"